/*
    uart programmer for Cypress PSoC.
    dump memory to standard output.
    Copyright (C) 2015  Michael Stickel (michael@cubic.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "tools.h"

#include <stdio.h>

void hexdump(const void * ptr, unsigned long size)
{
    unsigned long i;
    for (i = 0; i < size; i++)
    {
        if ((i>0) && ((i%16)==0))
            printf("\r\n");
        if ((i%16)==0)
            printf("%08lX:", i);
        printf(" %02X", ((unsigned char*)ptr)[i]);
    }
    printf("\r\n");
}
